package com.bib.essensbestellungsverwaltung;

import javafx.fxml.FXML;
import javafx.scene.control.Alert;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;

public class AdminController {

    @FXML
    TextField lastname;
    @FXML
    TextField firstname;
    @FXML
    TextField street;
    @FXML
    TextField number;
    @FXML
    TextField city;
    @FXML
    TextField plz;
    @FXML
    TextField email;
    @FXML
    PasswordField password;



    @FXML
    protected void onBtSignUp(){




        String ln = lastname.getText();
        String fn = firstname.getText();
        String st = street.getText();
        String nr = number.getText();
        String cityString = city.getText();
        String plzString = plz.getText();
        String emailString = email.getText();
        String pw = password.getText();



        if(!pw.matches("^(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[@#$%^&+=])(?=\\S+$).{8,}$")){

            Alert alert = new Alert(Alert.AlertType.ERROR);
            alert.setTitle("Passwort");
            alert.setHeaderText("Ungültiges Passwort");
            alert.setContentText("Das Passwort benötigt mindestens: \n-8 Zeichen\n-einen Kleinbuchstaben\n-einen Großbuchstaben\n-ein Sonderzeichen\n-kein Leerzeichen");
            password.setText("");
        }

        if(!emailString.matches("^(?=.{1,64}@)[A-Za-z0-9_-]+(\\\\.[A-Za-z0-9_-]+)*@[^-][A-Za-z0-9-]+(\\\\.[A-Za-z0-9-]+)*(\\\\.[A-Za-z]{2,})$")){
            Alert alert = new Alert(Alert.AlertType.ERROR);
            alert.setTitle("E-Mail");
            alert.setHeaderText("Ungültige E-Mail Adresse");
            alert.setContentText("Bitte geben sie eine gültige E-Mail Adresse an");
            email.setText("");
        }

        //String[] userData = new String[]{ln,fn,pw,emailString};
        //String[] addressData = new String[]{st,nr,plzString,cityString};

        Address address = new Address(st,nr,plzString,cityString);

        Worker worker = new Worker(ln,fn,pw,emailString,address);

        AccountMgr.createWorker(worker);

    }

    @FXML
    protected void onBtCancel(){

    }


}

